# pymatgen.cli.pmg_analyze module

Implementation for pmg analyze CLI.

analyze(args)

  Master function controlling which analysis to call.

  Parameters

    args (dict) – args from argparse.

get_energies(rootdir, reanalyze, verbose, quick, sort, fmt)

  Get energies of all vaspruns in directory (nested). :param rootdir: Root directory. :type rootdir: str :param reanalyze: Whether to ignore saved results and reanalyze :type reanalyze: bool :param verbose: Verbose mode or not. :type verbose: bool :param quick: Whether to perform a quick analysis (using OSZICAR instead

  > of vasprun.xml

  Parameters

    - sort (bool) – Whether to sort the results in ascending order.

    - fmt (str) – tablefmt passed to tabulate.

get_magnetizations(mydir, ion_list)

  Get magnetization info from OUTCARs.

  Parameters

    - mydir (str) – Directory name

    - ion_list (List) – List of ions to obtain magnetization information for.

  Returns: